Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.core
Interface AlgID

public interface AlgID

This interface contains algorithm identifiers for various message digest, symmetric cryptography, and public key encryption and signature algorithms.

These algorithm identifiers are used throughout Phaos Security Engine (and other compatible Phaos toolkits) for portable and configurable identification of commonly used cryptographic primitives.

See Also:
  `OIDManager`

Field Summary
`static AlgorithmIdentifier` | `aes128_CBC` 128-bit AES in CBC mode.
`static AlgorithmIdentifier` | `aes128_ECB` 128-bit AES in ECB mode.
`static AlgorithmIdentifier` | `aes192_CBC` 192-bit AES in CBC mode.
`static AlgorithmIdentifier` | `aes192_ECB` 192-bit AES in ECB mode.
`static AlgorithmIdentifier` | `aes256_CBC` 256-bit AES in CBC mode.
`static AlgorithmIdentifier` | `aes256_ECB` 256-bit AES in ECB mode.
`static AlgorithmIdentifier` | `BLOWFISH` An alias to blowfishECB.
`static AlgorithmIdentifier` | `blowfishCBC` The Blowfish symmetric key encryption algorithm in CBC mode.
`static AlgorithmIdentifier` | `blowfishECB` The Blowfish symmetric key encryption algorithm in ECB mode.
`static AlgorithmIdentifier` | `DES_EDE3_CBC` RSA-registered identifier for the DES-EDE symmetric key encryption algorithm in CBC mode, as cited in RFC 2311.
`static AlgorithmIdentifier` | `DES_EDE3_ECB` OIW identifier for DES-EDE symmetric key encryption algorithm in ECB mode.
`static AlgorithmIdentifier` | `desCBC` The DES symmetric key encryption algorithm in CBC mode.
`static AlgorithmIdentifier` | `desECB` The DES symmetric key encryption algorithm in ECB mode.
`static AlgorithmIdentifier` | `dh` The Diffie-Hellman key agreement algorithm, defined in X9.42.
`static AlgorithmIdentifier` | `DHBasedMac` Entrust-registered identifier for the Diffie-Hellman-based MAC algorithm, efined in RFC 2511.
`static AlgorithmIdentifier` | `dhKeyAgreement` The Diffie-Hellman key agreement algorithm, defined in PKCS #3.
`static AlgorithmIdentifier` | `dsa` Preferred (X9.57) identifier for DSA public and private keys.
`static AlgorithmIdentifier` | `dsaOld` An older (OIW) identifier for DSA public and private keys.
`static AlgorithmIdentifier` | `dsaWithSHA` An obsolete OIW identifier for the DSA signature algorithm.
`static AlgorithmIdentifier` | `dsaWithSHA1` Preferred (X.509) identifier for the DSA signature algorithm.
`static AlgorithmIdentifier` | `dsaWithSHA1Old` Another obsolete OIW identifier for DSA signature algorithm.
`static AlgorithmIdentifier` | `hmacMD5` IANA identifier for HMAC algorithm with MD5, as defined in RFC 2104.
`static AlgorithmIdentifier` | `hmacSHA` IANA identifier the HMAC-SHA algorithm, defined in RFC 2104.
`static AlgorithmIdentifier` | `md2` The MD2 message digest algorithm, as defined in RFC 1319.
`static AlgorithmIdentifier` | `md2WithRSAEncryption` The RSA signature algorithm with MD2 hash, as defined in PKCS #1 and RFC 2311.
`static AlgorithmIdentifier` | `md5` The MD5 message digest algorithm, as defined in RFC 2311.
`static AlgorithmIdentifier` | `md5WithRSAEncryption` The RSA signature algorithm with MD5 hash, as defined in PKCS #1 and RFC 2311.
`static AlgorithmIdentifier` | `mgf1WithSHA1` Identifies the MGF1 algorithm defined in PKCS#1 using SHA-1
`static AlgorithmIdentifier` | `PasswordBasedMac` Entrust-registered identifier for the Password-Based MAC algorithm, defined in RFC 2511.
`static AlgorithmIdentifier` | `RC2_CBC` The RC2 symmetric key encryption algorithm in CBC mode.
`static AlgorithmIdentifier` | `RC4` The Arcfour stream cipher of Kaukonen and Thayer, equivalent to the RC4 stream cipher.
`static AlgorithmIdentifier` | `rsaEncryption` The RSA public key encryption algorithm, defined in PKCS#1 and RFC 2311.
`static AlgorithmIdentifier` | `rsaWithOAEPEncoding` The RSA public key encryption standard with default OAEP encoding parameters including SHA-1 and MGF1 with SHA-1
`static AlgorithmIdentifier` | `rsaWithV15Encoding` The RSA public key encryption standard with the encoding defined in PKCS #1 version 1.5.
`static AlgorithmIdentifier` | `sha` An older OIW identifier for the SHA1 algorithm.
`static AlgorithmIdentifier` | `sha_1` OIW identifier for the SHA1 algorithm, as prescribed by IEEE p1363.
`static AlgorithmIdentifier` | `sha_1WithRSAEncryption` The RSA signature algorithm with SHA-1 hash, as defined in PKCS #1 and RFC 2311.
`static AlgorithmIdentifier` | `sha_256` NIST identifier for the SHA256 algorithm
`static AlgorithmIdentifier` | `sha_384` NIST identifier for the SHA384 algorithm
`static AlgorithmIdentifier` | `sha_512` NIST identifier for the SHA512 algorithm
`static AlgorithmIdentifier` | `sha1` An alias for the "sha_1" OIW identifier for SHA1.

Field Detail

### desECB

    public static final AlgorithmIdentifier desECB

  The DES symmetric key encryption algorithm in ECB mode.

### desCBC

    public static final AlgorithmIdentifier desCBC

  The DES symmetric key encryption algorithm in CBC mode.

### DES_EDE3_ECB

    public static final AlgorithmIdentifier DES_EDE3_ECB

  OIW identifier for DES-EDE symmetric key encryption algorithm in ECB mode.

### DES_EDE3_CBC

    public static final AlgorithmIdentifier DES_EDE3_CBC

  RSA-registered identifier for the DES-EDE symmetric key encryption algorithm in CBC mode, as cited in RFC 2311.

### rsaEncryption

    public static final AlgorithmIdentifier rsaEncryption

  The RSA public key encryption algorithm, defined in PKCS#1 and RFC 2311.

### rsaWithV15Encoding

    public static final AlgorithmIdentifier rsaWithV15Encoding

  The RSA public key encryption standard with the encoding defined in PKCS #1 version 1.5.

### RC2_CBC

    public static final AlgorithmIdentifier RC2_CBC

  The RC2 symmetric key encryption algorithm in CBC mode.

### RC4

    public static final AlgorithmIdentifier RC4

  The Arcfour stream cipher of Kaukonen and Thayer, equivalent to the RC4 stream cipher.

### BLOWFISH

    public static final AlgorithmIdentifier BLOWFISH

  An alias to blowfishECB.

### blowfishECB

    public static final AlgorithmIdentifier blowfishECB

  The Blowfish symmetric key encryption algorithm in ECB mode.

### blowfishCBC

    public static final AlgorithmIdentifier blowfishCBC

  The Blowfish symmetric key encryption algorithm in CBC mode.

### aes128_ECB

    public static final AlgorithmIdentifier aes128_ECB

  128-bit AES in ECB mode.

### aes128_CBC

    public static final AlgorithmIdentifier aes128_CBC

  128-bit AES in CBC mode.

### aes192_ECB

    public static final AlgorithmIdentifier aes192_ECB

  192-bit AES in ECB mode.

### aes192_CBC

    public static final AlgorithmIdentifier aes192_CBC

  192-bit AES in CBC mode.

### aes256_ECB

    public static final AlgorithmIdentifier aes256_ECB

  256-bit AES in ECB mode.

### aes256_CBC

    public static final AlgorithmIdentifier aes256_CBC

  256-bit AES in CBC mode.

### dhKeyAgreement

    public static final AlgorithmIdentifier dhKeyAgreement

  The Diffie-Hellman key agreement algorithm, defined in PKCS #3.

### dh

    public static final AlgorithmIdentifier dh

  The Diffie-Hellman key agreement algorithm, defined in X9.42.

### dsa

    public static final AlgorithmIdentifier dsa

  Preferred (X9.57) identifier for DSA public and private keys.

### dsaOld

    public static final AlgorithmIdentifier dsaOld

  An older (OIW) identifier for DSA public and private keys.

### md2WithRSAEncryption

    public static final AlgorithmIdentifier md2WithRSAEncryption

  The RSA signature algorithm with MD2 hash, as defined in PKCS #1 and RFC 2311.

### md5WithRSAEncryption

    public static final AlgorithmIdentifier md5WithRSAEncryption

  The RSA signature algorithm with MD5 hash, as defined in PKCS #1 and RFC 2311.

### sha_1WithRSAEncryption

    public static final AlgorithmIdentifier sha_1WithRSAEncryption

  The RSA signature algorithm with SHA-1 hash, as defined in PKCS #1 and RFC 2311.

### dsaWithSHA1

    public static final AlgorithmIdentifier dsaWithSHA1

  Preferred (X.509) identifier for the DSA signature algorithm.

### dsaWithSHA

    public static final AlgorithmIdentifier dsaWithSHA

  An obsolete OIW identifier for the DSA signature algorithm.

### dsaWithSHA1Old

    public static final AlgorithmIdentifier dsaWithSHA1Old

  Another obsolete OIW identifier for DSA signature algorithm.

### md5

    public static final AlgorithmIdentifier md5

  The MD5 message digest algorithm, as defined in RFC 2311.

### md2

    public static final AlgorithmIdentifier md2

  The MD2 message digest algorithm, as defined in RFC 1319.

### sha_1

    public static final AlgorithmIdentifier sha_1

  OIW identifier for the SHA1 algorithm, as prescribed by IEEE p1363.

### sha

    public static final AlgorithmIdentifier sha

  An older OIW identifier for the SHA1 algorithm.

### sha1

    public static final AlgorithmIdentifier sha1

  An alias for the "sha_1" OIW identifier for SHA1.

### sha_256

    public static final AlgorithmIdentifier sha_256

  NIST identifier for the SHA256 algorithm

### sha_384

    public static final AlgorithmIdentifier sha_384

  NIST identifier for the SHA384 algorithm

### sha_512

    public static final AlgorithmIdentifier sha_512

  NIST identifier for the SHA512 algorithm

### hmacMD5

    public static final AlgorithmIdentifier hmacMD5

  IANA identifier for HMAC algorithm with MD5, as defined in RFC 2104.

### hmacSHA

    public static final AlgorithmIdentifier hmacSHA

  IANA identifier the HMAC-SHA algorithm, defined in RFC 2104.

### PasswordBasedMac

    public static final AlgorithmIdentifier PasswordBasedMac

  Entrust-registered identifier for the Password-Based MAC algorithm, defined in RFC 2511.

### DHBasedMac

    public static final AlgorithmIdentifier DHBasedMac

  Entrust-registered identifier for the Diffie-Hellman-based MAC algorithm, efined in RFC 2511.

### mgf1WithSHA1

    public static final AlgorithmIdentifier mgf1WithSHA1

  Identifies the MGF1 algorithm defined in PKCS#1 using SHA-1

### rsaWithOAEPEncoding

    public static final AlgorithmIdentifier rsaWithOAEPEncoding

  The RSA public key encryption standard with default OAEP encoding parameters including SHA-1 and MGF1 with SHA-1

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.